From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/cri/
Date: Sun, 4 Dec 2016 06:52:15 +0000 (UTC) [thread overview]
Message-ID: <1480834002.a93f420804c7c78ad700ff3f7924a3cc97027eef.graaff@gentoo> (raw)
commit: a93f420804c7c78ad700ff3f7924a3cc97027eef
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 4 06:46:42 2016 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Dec 4 06:46:42 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a93f4208
dev-ruby/cri: add 2.7.1
Package-Manager: portage-2.3.0
dev-ruby/cri/Manifest | 1 +
dev-ruby/cri/cri-2.7.1.ebuild | 35 +++++++++++++++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/dev-ruby/cri/Manifest b/dev-ruby/cri/Manifest
index 74017d2..8efa2f3 100644
--- a/dev-ruby/cri/Manifest
+++ b/dev-ruby/cri/Manifest
@@ -1 +1,2 @@
DIST cri-2.7.0.gem 25088 SHA256 861e637cfeb0f8a618ea982f675c574520590aecbd098a2cf3d8be339ff3ed62 SHA512 4bef9bbe623b45f21b0cc66aba40ac3fd945227fb50a6b169c79b8ac9b84144119defaaed3a76044b15a916d077fa91f36c35fa22b69b7405f6c9b4fb8bf1118 WHIRLPOOL bf77d0570902a374198cd59d2f19e4da274fd1f76f1a2783ed22572ef52540812d1d9c53c783524fcbd074af0bc9f368ef387f40ab10149b9b97feb32db0d88b
+DIST cri-2.7.1.gem 25088 SHA256 989fc14d1986c9c252c84e1b22e300fd139ef6bc4c9c57762a93cbf7eb4fd5f5 SHA512 37d641390dc83550c254b3c48018f7f2c53f73161807c299cb78ef84b8625e5f00cd8c877ac464ece5c6623d7118872c45648ed56c2bd5f53ae62cd66b8e24d1 WHIRLPOOL 85a5eb19f439d8fb53c56139bf6fe14faef2790c2eb5c319b2e8c52d92807f257771180afcf7af4342747cd69ae4787ad5266fb3f01bb2a2c01fba9f9f8fc9a5
diff --git a/dev-ruby/cri/cri-2.7.1.ebuild b/dev-ruby/cri/cri-2.7.1.ebuild
new file mode 100644
index 00000000..2c5e0d3
--- /dev/null
+++ b/dev-ruby/cri/cri-2.7.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_EXTRADOC="NEWS.md README.adoc"
+
+RUBY_FAKEGEM_TASK_DOC="doc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Cri is a library for building easy-to-use commandline tools"
+HOMEPAGE="http://rubygems.org/gems/cri"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/colored-1.2"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )
+ test? ( dev-ruby/yard dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ sed -e '/coveralls/I s:^:#:' -i test/helper.rb || die
+ sed -i -e '/rubocop/ s:^:#:' \
+ -e '/RuboCop/,/end/ s:^:#:' Rakefile || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S rake test_unit || die
+}
next reply other threads:[~2016-12-04 6:55 UTC|newest]
Thread overview: 42+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-12-04 6:52 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-10 5:49 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/cri/ Hans de Graaff
2024-02-11 7:26 Hans de Graaff
2024-01-13 14:04 Hans de Graaff
2023-03-29 6:35 Hans de Graaff
2022-12-07 17:57 Hans de Graaff
2022-06-12 8:33 Hans de Graaff
2022-03-18 6:50 Jakov Smolić
2021-11-02 5:07 Hans de Graaff
2021-11-02 5:07 Hans de Graaff
2021-01-06 6:21 Hans de Graaff
2020-09-15 6:00 Hans de Graaff
2020-09-15 6:00 Hans de Graaff
2020-01-22 7:54 Hans de Graaff
2019-06-15 9:55 Hans de Graaff
2019-05-30 18:05 Hans de Graaff
2019-05-30 18:05 Hans de Graaff
2019-05-30 18:05 Hans de Graaff
2019-05-20 5:38 Hans de Graaff
2019-04-30 5:49 Hans de Graaff
2019-02-09 7:30 Hans de Graaff
2019-01-20 6:54 Hans de Graaff
2019-01-20 6:54 Hans de Graaff
2018-11-06 6:42 Hans de Graaff
2018-09-22 5:25 Hans de Graaff
2018-09-22 5:25 Hans de Graaff
2018-08-28 4:52 Hans de Graaff
2018-08-25 5:45 Hans de Graaff
2018-08-19 5:09 Hans de Graaff
2018-08-13 4:57 Hans de Graaff
2018-08-04 5:46 Hans de Graaff
2018-04-28 7:09 Hans de Graaff
2018-03-27 21:38 Aaron Bauman
2018-02-02 17:14 Hans de Graaff
2017-11-02 5:40 Hans de Graaff
2017-10-27 5:56 Hans de Graaff
2017-08-12 5:14 Hans de Graaff
2017-06-05 4:45 Hans de Graaff
2017-04-02 5:28 Hans de Graaff
2017-02-04 16:17 Hans de Graaff
2016-03-09 22:48 Manuel Rüger
2015-12-11 7:13 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1480834002.a93f420804c7c78ad700ff3f7924a3cc97027eef.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox